次の方法で共有


Batch Endpoints - Create Or Update

バッチ推論エンドポイント(非同期)を作成します。
バッチ推論エンドポイント (非同期) を作成します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/batchEndpoints/{endpointName}?api-version=2025-12-01

URI パラメーター

名前 / 必須 説明
endpointName
path True

string

Batch エンドポイントの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

subscriptionId
path True

string

minLength: 1

ターゲット サブスクリプションの ID。

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Azure Machine Learning ワークスペース名

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
location True

string

リソースが存在する地理的な場所

properties True

BatchEndpointProperties

[必須]エンティティの追加の属性。

identity

ManagedServiceIdentity

マネージド サービス ID (システム割り当て ID またはユーザー割り当て ID)

kind

string

同じ種類のリソースに対して異なる UX エクスペリエンスをレンダリングするためにポータルやツールなどで使用されるメタデータ。

sku

Sku

自動スケールの ARM コントラクトに必要な SKU の詳細。

tags

object

リソース タグ。

応答

名前 説明
200 OK

BatchEndpoint

リソース「BatchEndpoint」更新操作が成功しました

201 Created

BatchEndpoint

要求が成功し、結果として新しいリソースが作成されました。

ヘッダー

  • Azure-AsyncOperation: string
  • Retry-After: integer
  • x-ms-async-operation-timeout: string
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

CreateOrUpdate Workspace Batch Endpoint.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/batchEndpoints/testEndpointName?api-version=2025-12-01

{
  "identity": {
    "type": "SystemAssigned",
    "userAssignedIdentities": {
      "string": {}
    }
  },
  "kind": "string",
  "location": "string",
  "properties": {
    "description": "string",
    "authMode": "AMLToken",
    "defaults": {
      "deploymentName": "string"
    },
    "properties": {
      "string": "string"
    }
  },
  "sku": {
    "name": "string",
    "capacity": 1,
    "family": "string",
    "size": "string",
    "tier": "Free"
  },
  "tags": {}
}

応答のサンプル

{
  "name": "string",
  "type": "string",
  "id": "string",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-1111-2222-3333-444444444444",
    "tenantId": "00000000-1111-2222-3333-444444444444",
    "userAssignedIdentities": {
      "string": {
        "clientId": "00000000-1111-2222-3333-444444444444",
        "principalId": "00000000-1111-2222-3333-444444444444"
      }
    }
  },
  "kind": "string",
  "location": "string",
  "properties": {
    "description": "string",
    "authMode": "AMLToken",
    "defaults": {
      "deploymentName": "string"
    },
    "properties": {
      "string": "string"
    },
    "provisioningState": "Succeeded",
    "scoringUri": "https://www.contoso.com/example",
    "swaggerUri": "https://www.contoso.com/example"
  },
  "sku": {
    "name": "string",
    "capacity": 1,
    "family": "string",
    "size": "string",
    "tier": "Free"
  },
  "systemData": {
    "createdAt": "2020-01-01T12:34:56.999Z",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2020-01-01T12:34:56.999Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  },
  "tags": {}
}
{
  "name": "string",
  "type": "string",
  "id": "string",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "00000000-1111-2222-3333-444444444444",
    "tenantId": "00000000-1111-2222-3333-444444444444",
    "userAssignedIdentities": {
      "string": {
        "clientId": "00000000-1111-2222-3333-444444444444",
        "principalId": "00000000-1111-2222-3333-444444444444"
      }
    }
  },
  "kind": "string",
  "location": "string",
  "properties": {
    "description": "string",
    "authMode": "AMLToken",
    "defaults": {
      "deploymentName": "string"
    },
    "properties": {
      "string": "string"
    },
    "provisioningState": "Updating",
    "scoringUri": "https://www.contoso.com/example",
    "swaggerUri": "https://www.contoso.com/example"
  },
  "sku": {
    "name": "string",
    "capacity": 1,
    "family": "string",
    "size": "string",
    "tier": "Free"
  },
  "systemData": {
    "createdAt": "2020-01-01T12:34:56.999Z",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2020-01-01T12:34:56.999Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  },
  "tags": {}
}

定義

名前 説明
BatchEndpoint

具体的な追跡対象リソースの種類は、特定のプロパティ型を使用してこの型にエイリアスを設定することで作成できます。

BatchEndpointDefaults

バッチエンドポイントの既定値

BatchEndpointProperties

バッチ エンドポイントの構成。

createdByType

リソースを作成した ID の種類。

EndpointAuthKeys

エンドポイント認証用のキー。

EndpointAuthMode

エンドポイント認証モードを決定する列挙型。

EndpointProvisioningState

エンドポイントプロビジョニングの状態。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

ManagedServiceIdentity

マネージド サービス ID (システム割り当て ID またはユーザー割り当て ID)

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

Sku

SKU を表すリソース モデル定義

SkuTier

このフィールドは、サービスに複数のレベルがあるが PUT では必要ない場合に、リソース プロバイダーによって実装される必要があります。

systemData

リソースの作成と最後の変更に関連するメタデータ。

UserAssignedIdentity

ユーザー割り当て ID プロパティ

BatchEndpoint

具体的な追跡対象リソースの種類は、特定のプロパティ型を使用してこの型にエイリアスを設定することで作成できます。

名前 説明
id

string

リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

ManagedServiceIdentity

マネージド サービス ID (システム割り当て ID またはユーザー割り当て ID)

kind

string

同じ種類のリソースに対して異なる UX エクスペリエンスをレンダリングするためにポータルやツールなどで使用されるメタデータ。

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties

BatchEndpointProperties

[必須]エンティティの追加の属性。

sku

Sku

自動スケールの ARM コントラクトに必要な SKU の詳細。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

BatchEndpointDefaults

バッチエンドポイントの既定値

名前 説明
deploymentName

string

エンドポイントの既定値となるデプロイの名前。 このデプロイでは、エンドポイント スコアリング URL が呼び出されると、最終的に 100% トラフィックが発生します。

BatchEndpointProperties

バッチ エンドポイントの構成。

名前 説明
authMode

EndpointAuthMode

[必須]エンドポイントを呼び出すための認証方法 (データ プレーン操作)。 キーベースの認証には 'Key' を使用します。 Azure Machine Learning トークン ベースの認証には "AMLToken" を使用します。 Microsoft Entra トークン ベースの認証には "AADToken" を使用します。

defaults

BatchEndpointDefaults

Batch エンドポイントの既定値

description

string

推論エンドポイントの説明。

keys

EndpointAuthKeys (password)

エンドポイントで最初に設定する EndpointAuthKeys。 このプロパティは常に null として返されます。 AuthKey 値は ListKeys API を使用して取得する必要があります。

properties

object

プロパティ ディクショナリ。 プロパティは追加できますが、削除または変更することはできません。

provisioningState

EndpointProvisioningState

エンドポイントのプロビジョニング状態。

scoringUri

string (uri)

エンドポイント URI。

swaggerUri

string (uri)

エンドポイント Swagger URI。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

EndpointAuthKeys

エンドポイント認証用のキー。

名前 説明
primaryKey

string (password)

主キー。

secondaryKey

string (password)

セカンダリ キー。

EndpointAuthMode

エンドポイント認証モードを決定する列挙型。

説明
AMLToken
Key
AADToken

EndpointProvisioningState

エンドポイントプロビジョニングの状態。

説明
Creating
Deleting
Succeeded
Failed
Updating
Canceled

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

ManagedServiceIdentity

マネージド サービス ID (システム割り当て ID またはユーザー割り当て ID)

名前 説明
principalId

string (uuid)

システム割り当て ID のサービス プリンシパル ID。 このプロパティは、システム割り当て ID にのみ提供されます。

tenantId

string (uuid)

システム割り当て ID のテナント ID。 このプロパティは、システム割り当て ID にのみ提供されます。

type

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned ID
リソースに関連付けられているユーザー割り当て ID のセット。 userAssignedIdentities ディクショナリ キーは、'/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName} という形式の ARM リソース ID になります。 ディクショナリ値は、要求内の空のオブジェクト ({}) にすることができます。

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

説明
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

Sku

SKU を表すリソース モデル定義

名前 説明
capacity

integer (int32)

SKU でスケールアウト/インがサポートされている場合は、容量の整数を含める必要があります。 リソースに対してスケールアウト/インができない場合は、これを省略できます。

family

string

同じ SKU に対して、サービスの世代が異なるハードウェアがある場合は、ここでキャプチャできます。

name

string

SKU の名前。 例 - P3。 通常は文字 + 数字のコードです

size

string

SKU サイズ。 名前フィールドが層と他の値の組み合わせである場合、これはスタンドアロン コードになります。

tier

SkuTier

このフィールドは、サービスに複数のレベルがあるが PUT では必要ない場合に、リソース プロバイダーによって実装される必要があります。

SkuTier

このフィールドは、サービスに複数のレベルがあるが PUT では必要ない場合に、リソース プロバイダーによって実装される必要があります。

説明
Free
Basic
Standard
Premium

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

UserAssignedIdentity

ユーザー割り当て ID プロパティ

名前 説明
clientId

string (uuid)

割り当てられた ID のクライアント ID。

principalId

string (uuid)

割り当てられた ID のプリンシパル ID。